/*
© Copyright 2009 Travancore Analytics Pvt.Ltd. All rights reserved.

PeriodicTable:main.js

This file is the widget entry javascript file.
*/


//
// Function: load()
// Called by HTML body element's onload event when the widget is ready to start
//
function load()
{
     dashcode.setupParts();
     loadPeriodicTable();

}

//
// Function: remove()
// Called when the widget has been removed from the Dashboard
//
function remove()
{
    // Nothing to do
}

//
// Function: hide()
// Called when the widget has been hidden
//
function hide()
{
    // Nothing to do
}

//
// Function: show()
// Called when the widget has been shown
//
function show()
{
    // Nothing to do
}

//
// Function: sync()
// Called when the widget has been synchronized with .Mac
//
function sync()
{
    // Nothing to do
}



//
// Function: showBack(event)
// Called when the info button is clicked to show the back of the widget
//
// event: onClick event from the info button
//
function showBack(event)
{
     //If the right details is opened, need to close it before turning back.
      if(!isArrowAtLeft)
      {
          isFromShowBack=true;
          rightDetailsClickHandler(event);
      
      }
      
      //Show the back view directly, if right details view is not opened
      else
      {
        showBackView(null);

      }
}


//
// Function: showBackView(event)
// Called when the info button is clicked to show the back of the widget
//
// event: onClick event from the info button
//
function showBackView(event)
{
    //resize the widget, to original size
    window.resizeTo(540,352);

    //resets the flag
    isFromShowBack=false;

    if (window.widget) 
    {
        widget.prepareForTransition("ToBack");
    }

    hideElement("front");
    showElement("back");
    hideElement("detailsView");

    if (window.widget) 
    {
        setTimeout('widget.performTransition();', 0);
    }
}

//
// Function: showFront(event)
// Called when the done button is clicked from the back of the widget
//
// event: onClick event from the done button
//
function showFront(event)
{  
    if (window.widget)
    {
        widget.prepareForTransition("ToFront");
    }

    hideElement("back")
    showElement("front")

    if (window.widget)
    {
        setTimeout('widget.performTransition();', 0);
    }
}

if (window.widget) 
{
    widget.onremove = remove;
    widget.onhide = hide;
    widget.onshow = show;
    widget.onsync = sync;
}

//
// Function: showElement()
// Show an element.
//
function showElement(id)
{
     var element=document.getElementById(id);
     if(id)
     {
        element.style.display="block";
     }
}


//
// Function: hideElement()
// Hide an element.
//
function hideElement(id)
{
     var element=document.getElementById(id);
     if(id)
     {
        element.style.display="none";
     }
}



//
// Function: legalDisclaimerClickHandler()
// Metod yo handle the click event of Legal Discalimer.
//
function legalDisclaimerClickHandler(event)
{
    
    showElement("legalView");       
    var itemToFadeIn = document.getElementById("legalView");
    var fadeHandler = function(a, c, s, f){ itemToFadeIn.style.opacity = c; };
    var fadeInAnimator= new AppleAnimator(500, 13, 0.0, 1.0, fadeHandler);
    fadeInAnimator.start();

}

//
// Function: legalDisclaimerMouseoverHandler()
// Metod to handle the mouse over  event of Legal Discalimer.
//
function legalDisclaimerMouseoverHandler(event)
{
    document.getElementById("legalDisclaimer").src="Images/btn_disclaimer_ovr.png";
}



//
// Function: legalDisclaimerMouseoutHandler()
// Metod to handle the mouse out  event of Legal Discalimer.
//
function legalDisclaimerMouseoutHandler(event)
{
    document.getElementById("legalDisclaimer").src="Images/btn_disclaimer.png";
}


//
// Function: legalBackClickHandler()
// Metod to handle the click   event of  back button in Legal Discalimer view.
//
function legalBackClickHandler(event)
{ 

    var itemToFadeOut = document.getElementById("legalView");	
    var fadeHandler = function(a, c, s, f){ itemToFadeOut.style.opacity = c; };
    var fadeOutAnimator= new AppleAnimator(500
    , 13, 1.0, 0.0, fadeHandler);
    fadeOutAnimator.start();
    fadeOutAnimator.oncomplete =function(){
    hideElement("legalView");
    };  
}

//
// Function: legalBackMouseoverHandler()
// Metod to handle the mouse over event of  back button in Legal Discalimer view.
//
function legalBackMouseoverHandler(event)
{
   document.getElementById("legalBackImg").src="Images/btn_disclaimer_back_ovr.png";
}

//
// Function: legalBackMouseoutHandler()
// Metod to handle the mouse out event of  back button in Legal Discalimer view.
//
function legalBackMouseoutHandler(event)
{
    document.getElementById("legalBackImg").src="Images/btn_disclaimer_back.png";
}
