/*
© Copyright 2009 Travancore Analytics Pvt.Ltd. All rights reserved.

PeriodicTable:moreView.js

Handles the More details view of Elements.
*/

var MORE_DETAILS_TOOL_TIP_SHOW="Show details";
var MORE_DETAILS_TOOL_TIP_HIDE="Hide details";
var MORE_DETAILS_WARNING_MSG="Place mouse cursor over an element to see more details";

//
// Function: fillMoreViewData()
// populate fields with the corresponding values.
//
function fillMoreViewData(atomicNumber)
{


   var result=results[atomicNumber];
    
    setData("txt_mp",result.mp);
    setData("txt_bp",result.bp);
    setData("txt_density",result.density);
    setData("txt_percentage",result.percentage);
    setData("txt_year",result.year);
    setData("txt_group",result.group);
    setData("txt_period",result.period);
    setData("txt_configuration",result.configuration);
    setData("txt_block",result.block);
    setData("txt_thermalconductivity",result.thermalconductivity);
    setData("txt_spHeatCapacity",result.spHeatCapacity);
    setData("txt_heatOfVaporization",result.heatOfVaporization);
    setData("txt_color",result.color);
    setData("txt_electronegativity",result.electronegativity);
    setData("txt_atomicRadius",result.atomicRadius);
    setData("txt_atomicVolume",result.atomicVolume);
    setData("txt_covalentRadius",result.covalentRadius);
    setData("txt_electricalconductivity",result.electricalconductivity);
    setData("txt_series",getCategoryNameFromId(eval(result.category)));
    setData("moreDetailsElementName",result.name+" ("+result.symbol+")");
    setData("moreDetailsAtomicNumber",result.atomicNumber);
    setData("txt_am",result.massNumber);
    setData("txt_hologram",result.symbol);   
    setData("warningText",""); 
}

//
// Function: setData()
// Sets the given value to a given contol.
//
function setData(id,value)
{
    document.getElementById(id).innerHTML=value;
}

//
// Function: clearMoreView()
// Clears all the fileds in more details view..
//
function clearMoreView()
{
    setData("txt_mp","");
    setData("txt_bp","");
    setData("txt_density","");
    setData("txt_percentage","");
    setData("txt_year","");
    setData("txt_group","");
    setData("txt_period","");
    setData("txt_configuration","");
    setData("txt_block","");
    setData("txt_thermalconductivity","");
    setData("txt_spHeatCapacity","");
    setData("txt_heatOfVaporization","");
    setData("txt_color","");
    setData("txt_electronegativity","");
    setData("txt_atomicRadius","");
    setData("txt_atomicVolume","");
    setData("txt_covalentRadius","");
    setData("txt_electricalconductivity","");
    setData("txt_series","");
    setData("moreDetailsElementName","");
    setData("moreDetailsAtomicNumber","");
    setData("txt_am","");
    setData("txt_hologram","");
    setData("warningText",MORE_DETAILS_WARNING_MSG);
}

//
// Function: rightArrowMouseoverHandler()
// Method to handle the mouse over event of right arrow. Changes the image.
//
function rightArrowMouseoverHandler(event)
{

    if(isArrowAtLeft)
    {
        document.getElementById("rightArrow").src="Images/expand_btn_ovr.png";
    }
    else
    
    {
        document.getElementById("rightArrow").src="Images/hide_btn_ovr.png";
    }
}

//
// Function: rightArrowMouseoutHandler()
// Method to handle the mouse out event of right arrow. Changes the image.
//
function rightArrowMouseoutHandler(event)
{


    if(isArrowAtLeft)
    {
       document.getElementById("rightArrow").src="Images/expand_btn.png";
    }
    else
    {
        document.getElementById("rightArrow").src="Images/hide_btn.png";
    }
     
}

//A boolean variable indicates whether, the details view is opened or not
var isArrowAtLeft=true;

//
// Function: rightDetailsClickHandler()
// Method to handle the click event of More details right arrow.
// 
function rightDetailsClickHandler(event)
{
        var start=null;
        var finish=null;
        if(isArrowAtLeft)
        {
            window.resizeTo(988,352);  
            start = 63.0;	// The starting value
            finish = 513.0;	// The finishing value
            document.getElementById("rightArrow").title=MORE_DETAILS_TOOL_TIP_HIDE; 

        }
        else
        {
            start = 513.0;	// The starting value
            finish =63.0;	// The finishing value
            document.getElementById("rightArrow").title=MORE_DETAILS_TOOL_TIP_SHOW; 
            
        }
        
        handler = 
        function(animation, current, start, finish)
        {
             document.getElementById("moreDetailsDiv").style.left= current+"px";
        };

        // Animation code
        var rightDetailsAnimator=new AppleAnimator(500, 13, start, finish, handler);
        rightDetailsAnimator.start();
        
         if(!isArrowAtLeft)
         {
                 document.getElementById("rightArrow").src="Images/expand_btn.png";
                 
                 isArrowAtLeft=true;
         }

         else
         {
            document.getElementById("rightArrow").src="Images/hide_btn.png";
            isArrowAtLeft=false;
         }        
        
        rightDetailsAnimator.oncomplete = setRightArrowImages;
}

var isFromShowBack=false;

//
// Function: setRightArrowImages()
// Set the tright arrow image for the click
// 
function setRightArrowImages()
{
    if(isArrowAtLeft)
    {
        window.resizeTo(540,352);  
    }
    if (isFromShowBack)
    {
     showBackView(null);
    }

}
